#!/usr/bin/python
# -*- coding: utf-8 -*-

import sys, os
import copy
import argparse


import technoap.sitcp as sitcp
import technoap.device.apu101 as apu101

	
#device IP address
DEST_IPADDR = "192.168.10.128"

##########################################################
def main(argv):

	print ("start change HV polarty...")

	try:
		#create 'RBCP' instance
		rbcp = sitcp.rbcp.RBCP(True)
		rbcp.setdefaultdest(DEST_IPADDR)

		#for high voltage
		config = apu101.configHV.ConfigHV(rbcp)

		if argv.pol == 'neg' or argv.pol == 'pos':
			if argv.pol == 'neg':
				value_pol = apu101.configHV.POLARITY_NEG
			else:
				value_pol = apu101.configHV.POLARITY_POS

			#change setting
			result = config.setPolarity(value_pol)
			
			if result == True:
				print ("Please turn the power off and then on again.")
			else:
				raise Exception('polarity change error...')
		else:
			print ("parameter error, nothing [--pol neg/pos]...")

	except Exception as ex:
		print (ex)

	print ("change HV polarty complete!!!")


##########################################################
if __name__ == "__main__":
	parser = argparse.ArgumentParser(description='High voltage polarity setting.')
	parser.add_argument("--pol", type=str, required=True, help="polarity(neg / pos)")
	args = parser.parse_args()
	main(args)


